#version 330 core

uniform sampler2D screenTexture;
uniform sampler2D motionTexture;
uniform bool enableMotionBlur;

in vec2 tex_uv;

out vec3 fragColor;

void main()
{
    vec2 motionVector = texture(motionTexture, tex_uv).xy; // /2.0f 
    vec4 Color = vec4(0.0);
    vec2 uv = tex_uv;
    if(enableMotionBlur){
    	Color += texture(screenTexture, uv) * 0.4;
    	uv -= motionVector;
    	Color += texture(screenTexture, uv) * 0.3;
    	uv -= motionVector;
    	Color += texture(screenTexture, uv) * 0.2;
    	uv -= motionVector;
    	Color += texture(screenTexture, uv) * 0.1;
    }else{
        Color += texture(screenTexture, uv);
    }
    fragColor = Color.xyz;
} 